# AMDDebugOutputCallback.Handler (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Interface AMDDebugOutputCallback.Handler

Enclosing class:
  AMDDebugOutputCallback

    public static interface AMDDebugOutputCallback.Handler

Implementations of this interface can be used to receive AMD_debug_output notifications.

Method Summary
`void` `handleMessage(int id, int category, int severity, java.lang.String message)` This method will be called when an AMD_debug_output message is generated.

Method Detail

### handleMessage

    void handleMessage(int id,
                       int category,
                       int severity,
                       java.lang.String message)

  This method will be called when an AMD_debug_output message is generated.

  Parameters:
    `id` - the message ID
    `category` - the message category
    `severity` - the message severity
    `message` - the string representation of the message.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.